WorkQueueManagerImpl (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.bus.managers

## Class WorkQueueManagerImpl

- java.lang.Object
- - org.apache.cxf.bus.managers.WorkQueueManagerImpl

- All Implemented Interfaces:
    `WorkQueueManager`

      public class WorkQueueManagerImpl
      extends Object
      implements WorkQueueManager

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_QUEUE_NAME` |
    `static String` | `DEFAULT_WORKQUEUE_BEAN_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkQueueManagerImpl()` |
    `WorkQueueManagerImpl​(Bus b)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addNamedWorkQueue​(String name, AutomaticWorkQueue q)` | Adds a named work queue
    `AutomaticWorkQueue` | `getAutomaticWorkQueue()` | Get the manager's default work queue.
    `Bus` | `getBus()` |
    `AutomaticWorkQueue` | `getNamedWorkQueue​(String name)` | Get the named work queue.
    `void` | `run()` | Only returns after workqueue has been shutdown.
    `void` | `setBus​(Bus bus)` |
    `void` | `shutdown​(boolean processRemainingTasks)` | Shuts down the manager's work queue.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_QUEUE_NAME

          public static final String DEFAULT_QUEUE_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_WORKQUEUE_BEAN_NAME

          public static final String DEFAULT_WORKQUEUE_BEAN_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WorkQueueManagerImpl

          public WorkQueueManagerImpl()

    - #### WorkQueueManagerImpl

          public WorkQueueManagerImpl​(Bus b)

  - ### Method Detail

    - #### getBus

          public Bus getBus()

    - #### setBus

          public final void setBus​(Bus bus)

    - #### getAutomaticWorkQueue

          public AutomaticWorkQueue getAutomaticWorkQueue()

      Description copied from interface: `WorkQueueManager`
      Get the manager's default work queue.
      Specified by:
        `getAutomaticWorkQueue` in interface `WorkQueueManager`
      Returns:
        AutomaticWorkQueue

    - #### shutdown

          public void shutdown​(boolean processRemainingTasks)

      Description copied from interface: `WorkQueueManager`
      Shuts down the manager's work queue. If `processRemainingTasks` is true, waits for the work queue to shutdown before returning.
      Specified by:
        `shutdown` in interface `WorkQueueManager`
      Parameters:
        `processRemainingTasks` - - whether or not to wait for completion

    - #### run

          public void run()

      Description copied from interface: `WorkQueueManager`
      Only returns after workqueue has been shutdown.
      Specified by:
        `run` in interface `WorkQueueManager`

    - #### getNamedWorkQueue

          public AutomaticWorkQueue getNamedWorkQueue​(String name)

      Description copied from interface: `WorkQueueManager`
      Get the named work queue.
      Specified by:
        `getNamedWorkQueue` in interface `WorkQueueManager`
      Returns:
        AutomaticWorkQueue

    - #### addNamedWorkQueue

          public final void addNamedWorkQueue​(String name,
                                              AutomaticWorkQueue q)

      Description copied from interface: `WorkQueueManager`
      Adds a named work queue
      Specified by:
        `addNamedWorkQueue` in interface `WorkQueueManager`